Host Power System Get Capability

Host Power System Get Capability
Power system capabilities object.

Power system capabilities object.

Required privileges: System.Read

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/HostPowerSystem/{moId}/capability
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostPowerSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PowerSystemCapability of type(s) application/json
This response body class contains all of the following: DataObject
{
    "_typeName": "string",
    "availablePolicy": [
        {
            "_typeName": "string",
            "key": 0,
            "name": "string",
            "shortName": "string",
            "description": "string"
        }
    ]
}
array of object
availablePolicy
Required

List of available host power policies.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/HostPowerSystem/{moId}/capability